com.amazon.redshift.jdbc

## Enum SslMode

- java.lang.Object
- - java.lang.Enum<SslMode>
  - - com.amazon.redshift.jdbc.SslMode

All Implemented Interfaces:
  Serializable, Comparable<SslMode>

    public enum SslMode
    extends Enum<SslMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALLOW` Start with non-encrypted connection, then try encrypted one.
`DISABLE` Do not use encrypted connections.
`PREFER` Start with encrypted connection, fallback to non-encrypted (default).
`REQUIRE` Ensure connection is encrypted.
`VERIFY_CA` Ensure connection is encrypted, and client trusts server certificate.
`VERIFY_FULL` Ensure connection is encrypted, client trusts server certificate, and server hostname matches the one listed in the server certificate.

### Field Summary

Fields
`String` `value`
`static SslMode[]` `VALUES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SslMode` `of(Properties info)`
`boolean` `requireEncryption()`
`static SslMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SslMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`boolean` `verifyCertificate()`
`boolean` `verifyPeerName()`

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISABLE

    public static final SslMode DISABLE

Do not use encrypted connections.

#### ALLOW

    public static final SslMode ALLOW

Start with non-encrypted connection, then try encrypted one.

#### PREFER

    public static final SslMode PREFER

Start with encrypted connection, fallback to non-encrypted (default).

#### REQUIRE

    public static final SslMode REQUIRE

Ensure connection is encrypted.

#### VERIFY_CA

    public static final SslMode VERIFY_CA

Ensure connection is encrypted, and client trusts server certificate.

#### VERIFY_FULL

    public static final SslMode VERIFY_FULL

Ensure connection is encrypted, client trusts server certificate, and server hostname matches the one listed in the server certificate.

### Field Detail

#### VALUES

    public static final SslMode[] VALUES

#### value

    public final String value

### Method Detail

#### values

    public static SslMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SslMode c : SslMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SslMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### requireEncryption

    public boolean requireEncryption()

#### verifyCertificate

    public boolean verifyCertificate()

#### verifyPeerName

    public boolean verifyPeerName()

#### of

    public static SslMode of(Properties info)
                      throws RedshiftException

Throws:
  `RedshiftException`